Index: trunk/abdev/BasicCompiler64/BasicCompiler.vcproj
===================================================================
--- trunk/abdev/BasicCompiler64/BasicCompiler.vcproj	(revision 198)
+++ trunk/abdev/BasicCompiler64/BasicCompiler.vcproj	(revision 206)
@@ -55,5 +55,5 @@
 				RuntimeLibrary="1"
 				RuntimeTypeInfo="true"
-				UsePrecompiledHeader="0"
+				UsePrecompiledHeader="2"
 				PrecompiledHeaderFile=".\Debug/BasicCompiler.pch"
 				AssemblerListingLocation=".\Debug/"
@@ -167,5 +167,5 @@
 				RuntimeLibrary="1"
 				RuntimeTypeInfo="true"
-				UsePrecompiledHeader="0"
+				UsePrecompiledHeader="2"
 				PrecompiledHeaderFile=".\Release/BasicCompiler.pch"
 				AssemblerListingLocation=".\Release/"
@@ -246,8 +246,4 @@
 			</File>
 			<File
-				RelativePath="..\BasicCompiler_Common\BasicFixed.h"
-				>
-			</File>
-			<File
 				RelativePath="CommandValue.h"
 				>
@@ -263,4 +259,8 @@
 			<File
 				RelativePath="..\BasicCompiler_Common\include\option.h"
+				>
+			</File>
+			<File
+				RelativePath=".\stdafx.h"
 				>
 			</File>
@@ -289,5 +289,5 @@
 				>
 				<File
-					RelativePath="..\BasicCompiler_Common\include\ClassImpl.h"
+					RelativePath="..\BasicCompiler_Common\include\Class.h"
 					>
 				</File>
@@ -301,4 +301,8 @@
 				</File>
 				<File
+					RelativePath="..\BasicCompiler_Common\include\Const.h"
+					>
+				</File>
+				<File
 					RelativePath="..\BasicCompiler_Common\include\DataTable.h"
 					>
@@ -313,13 +317,25 @@
 				</File>
 				<File
+					RelativePath="..\BasicCompiler_Common\include\Member.h"
+					>
+				</File>
+				<File
 					RelativePath="..\BasicCompiler_Common\include\MetaImpl.h"
 					>
 				</File>
 				<File
+					RelativePath="..\BasicCompiler_Common\include\Method.h"
+					>
+				</File>
+				<File
 					RelativePath="..\BasicCompiler_Common\include\NamespaceSupporter.h"
 					>
 				</File>
 				<File
-					RelativePath="..\BasicCompiler_Common\include\ProcedureImpl.h"
+					RelativePath="..\BasicCompiler_Common\include\Parameter.h"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\include\Procedure.h"
 					>
 				</File>
@@ -329,13 +345,25 @@
 				</File>
 				<File
+					RelativePath="..\BasicCompiler_Common\include\Prototype.h"
+					>
+				</File>
+				<File
 					RelativePath="..\BasicCompiler_Common\include\SmoothieImpl.h"
 					>
 				</File>
 				<File
+					RelativePath="..\BasicCompiler_Common\include\Symbol.h"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\include\Type.h"
+					>
+				</File>
+				<File
 					RelativePath="..\BasicCompiler_Common\include\TypeDef.h"
 					>
 				</File>
 				<File
-					RelativePath="..\BasicCompiler_Common\include\VariableImpl.h"
+					RelativePath="..\BasicCompiler_Common\include\Variable.h"
 					>
 				</File>
@@ -396,4 +424,24 @@
 						Name="VCResourceCompilerTool"
 						PreprocessorDefinitions="_DEBUG;JPN;$(NoInherit)"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\stdafx.cpp"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+						UsePrecompiledHeader="1"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+						UsePrecompiledHeader="1"
 					/>
 				</FileConfiguration>
@@ -981,16 +1029,4 @@
 				</Filter>
 				<Filter
-					Name="Constant"
-					>
-					<File
-						RelativePath="..\BasicCompiler_Common\Const.cpp"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\Const.h"
-						>
-					</File>
-				</Filter>
-				<Filter
 					Name="Variable"
 					>
@@ -1021,5 +1057,5 @@
 				>
 				<File
-					RelativePath="..\BasicCompiler_Common\src\ClassImpl.cpp"
+					RelativePath="..\BasicCompiler_Common\src\Class.cpp"
 					>
 				</File>
@@ -1033,4 +1069,8 @@
 				</File>
 				<File
+					RelativePath="..\BasicCompiler_Common\src\Const.cpp"
+					>
+				</File>
+				<File
 					RelativePath="..\BasicCompiler_Common\src\DataTable.cpp"
 					>
@@ -1045,9 +1085,13 @@
 				</File>
 				<File
+					RelativePath="..\BasicCompiler_Common\src\Method.cpp"
+					>
+				</File>
+				<File
 					RelativePath="..\BasicCompiler_Common\src\NamespaceSupporter.cpp"
 					>
 				</File>
 				<File
-					RelativePath="..\BasicCompiler_Common\src\ProcedureImpl.cpp"
+					RelativePath="..\BasicCompiler_Common\src\Procedure.cpp"
 					>
 				</File>
@@ -1061,9 +1105,17 @@
 				</File>
 				<File
+					RelativePath="..\BasicCompiler_Common\src\Symbol.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\src\Type.cpp"
+					>
+				</File>
+				<File
 					RelativePath="..\BasicCompiler_Common\src\TypeDef.cpp"
 					>
 				</File>
 				<File
-					RelativePath="..\BasicCompiler_Common\src\VariableImpl.cpp"
+					RelativePath="..\BasicCompiler_Common\src\Variable.cpp"
 					>
 				</File>
